MutableByte (Lang 2.6)
Date: 2019-09-02

org.apache.commons.lang.mutable

## Class MutableByte

- java.lang.Object
- - java.lang.Number
  - - org.apache.commons.lang.mutable.MutableByte

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable, Mutable

      public class MutableByte
      extends java.lang.Number
      implements java.lang.Comparable, Mutable

  A mutable `byte` wrapper.
  Since:
    2.1
  Version:
    $Id: MutableByte.java 905707 2010-02-02 16:59:59Z niallp $
  See Also:
    `Byte`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableByte()` Constructs a new MutableByte with the default value of zero.
    `MutableByte(byte value)` Constructs a new MutableByte with the specified value.
    `MutableByte(java.lang.Number value)` Constructs a new MutableByte with the specified value.
    `MutableByte(java.lang.String value)` Constructs a new MutableByte parsing the given string.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(byte operand)` Adds a value to the value of this instance.
    `void` | `add(java.lang.Number operand)` Adds a value to the value of this instance.
    `byte` | `byteValue()` Returns the value of this MutableByte as a byte.
    `int` | `compareTo(java.lang.Object obj)` Compares this mutable to another in ascending order.
    `void` | `decrement()` Decrements the value.
    `double` | `doubleValue()` Returns the value of this MutableByte as a double.
    `boolean` | `equals(java.lang.Object obj)` Compares this object to the specified object.
    `float` | `floatValue()` Returns the value of this MutableByte as a float.
    `java.lang.Object` | `getValue()` Gets the value as a Byte instance.
    `int` | `hashCode()` Returns a suitable hash code for this mutable.
    `void` | `increment()` Increments the value.
    `int` | `intValue()` Returns the value of this MutableByte as an int.
    `long` | `longValue()` Returns the value of this MutableByte as a long.
    `void` | `setValue(byte value)` Sets the value.
    `void` | `setValue(java.lang.Object value)` Sets the value from any Number instance.
    `void` | `subtract(byte operand)` Subtracts a value from the value of this instance.
    `void` | `subtract(java.lang.Number operand)` Subtracts a value from the value of this instance.
    `java.lang.Byte` | `toByte()` Gets this mutable as an instance of Byte.
    `java.lang.String` | `toString()` Returns the String value of this mutable.

    - ### Methods inherited from class java.lang.Number

      `shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableByte

          public MutableByte()

      Constructs a new MutableByte with the default value of zero.

    - #### MutableByte

          public MutableByte(byte value)

      Constructs a new MutableByte with the specified value.
      Parameters:
        `value` - the initial value to store

    - #### MutableByte

          public MutableByte(java.lang.Number value)

      Constructs a new MutableByte with the specified value.
      Parameters:
        `value` - the initial value to store, not null
      Throws:
        `java.lang.NullPointerException` - if the object is null

    - #### MutableByte

          public MutableByte(java.lang.String value)
                      throws java.lang.NumberFormatException

      Constructs a new MutableByte parsing the given string.
      Parameters:
        `value` - the string to parse, not null
      Throws:
        `java.lang.NumberFormatException` - if the string cannot be parsed into a byte
      Since:
        2.5

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Gets the value as a Byte instance.
      Specified by:
        `getValue` in interface `Mutable`
      Returns:
        the value as a Byte, never null

    - #### setValue

          public void setValue(byte value)

      Sets the value.
      Parameters:
        `value` - the value to set

    - #### setValue

          public void setValue(java.lang.Object value)

      Sets the value from any Number instance.
      Specified by:
        `setValue` in interface `Mutable`
      Parameters:
        `value` - the value to set, not null
      Throws:
        `java.lang.NullPointerException` - if the object is null
        `java.lang.ClassCastException` - if the type is not a `Number`

    - #### increment

          public void increment()

      Increments the value.
      Since:
        Commons Lang 2.2

    - #### decrement

          public void decrement()

      Decrements the value.
      Since:
        Commons Lang 2.2

    - #### add

          public void add(byte operand)

      Adds a value to the value of this instance.
      Parameters:
        `operand` - the value to add, not null
      Since:
        Commons Lang 2.2

    - #### add

          public void add(java.lang.Number operand)

      Adds a value to the value of this instance.
      Parameters:
        `operand` - the value to add, not null
      Throws:
        `java.lang.NullPointerException` - if the object is null
      Since:
        Commons Lang 2.2

    - #### subtract

          public void subtract(byte operand)

      Subtracts a value from the value of this instance.
      Parameters:
        `operand` - the value to subtract, not null
      Since:
        Commons Lang 2.2

    - #### subtract

          public void subtract(java.lang.Number operand)

      Subtracts a value from the value of this instance.
      Parameters:
        `operand` - the value to subtract, not null
      Throws:
        `java.lang.NullPointerException` - if the object is null
      Since:
        Commons Lang 2.2

    - #### byteValue

          public byte byteValue()

      Returns the value of this MutableByte as a byte.
      Overrides:
        `byteValue` in class `java.lang.Number`
      Returns:
        the numeric value represented by this object after conversion to type byte.

    - #### intValue

          public int intValue()

      Returns the value of this MutableByte as an int.
      Specified by:
        `intValue` in class `java.lang.Number`
      Returns:
        the numeric value represented by this object after conversion to type int.

    - #### longValue

          public long longValue()

      Returns the value of this MutableByte as a long.
      Specified by:
        `longValue` in class `java.lang.Number`
      Returns:
        the numeric value represented by this object after conversion to type long.

    - #### floatValue

          public float floatValue()

      Returns the value of this MutableByte as a float.
      Specified by:
        `floatValue` in class `java.lang.Number`
      Returns:
        the numeric value represented by this object after conversion to type float.

    - #### doubleValue

          public double doubleValue()

      Returns the value of this MutableByte as a double.
      Specified by:
        `doubleValue` in class `java.lang.Number`
      Returns:
        the numeric value represented by this object after conversion to type double.

    - #### toByte

          public java.lang.Byte toByte()

      Gets this mutable as an instance of Byte.
      Returns:
        a Byte instance containing the value from this mutable

    - #### equals

          public boolean equals(java.lang.Object obj)

      Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is a `MutableByte` object that contains the same `byte` value as this object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object to compare with, null returns false
      Returns:
        `true` if the objects are the same; `false` otherwise.

    - #### hashCode

          public int hashCode()

      Returns a suitable hash code for this mutable.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        a suitable hash code

    - #### compareTo

          public int compareTo(java.lang.Object obj)

      Compares this mutable to another in ascending order.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Parameters:
        `obj` - the other mutable to compare to, not null
      Returns:
        negative if this is less, zero if equal, positive if greater
      Throws:
        `java.lang.ClassCastException` - if the argument is not a MutableByte

    - #### toString

          public java.lang.String toString()

      Returns the String value of this mutable.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the mutable value as a string

Copyright © 2001-2019 - Apache Software Foundation